# PhasicFlow: dynamicLinkLibs Class Reference

dynamicLinkLibs Class Reference
Collaboration diagram for dynamicLinkLibs:
[legend]

## Public Member Functions

| dynamicLinkLibs (const dictionary &dict, word libList="libs")
| ~dynamicLinkLibs ()

## Protected Member Functions

void * | open (word libName)

## Protected Attributes

wordHashMap< void * > | libs_

## Detailed Description

Definition at line 32 of file dynamicLinkLibs.hpp.

## Constructor & Destructor Documentation

## dynamicLinkLibs()

dynamicLinkLibs | ( | const dictionary & | dict,
|  | word | libList = `"libs"`
| ) |  |

Definition at line 28 of file dynamicLinkLibs.cpp.

References dictionary::containsDataEntry(), endREPORT, fatalExit, dictionary::getVal(), greenText, dynamicLinkLibs::libs_, dynamicLinkLibs::open(), and REPORT.

Here is the call graph for this function:

## ~dynamicLinkLibs()

~dynamicLinkLibs | ( |  | ) |

Definition at line 58 of file dynamicLinkLibs.cpp.

References pFlow::endl(), and warningInFunction.

Here is the call graph for this function:

## Member Function Documentation

## open()

void * open | ( | word | libName | ) |

protected

Definition at line 69 of file dynamicLinkLibs.cpp.

References pFlow::endl(), endREPORT, greenText, REPORT, and warningInFunction.

Referenced by dynamicLinkLibs::dynamicLinkLibs().

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## libs_

wordHashMap<void*> libs_

protected

Definition at line 36 of file dynamicLinkLibs.hpp.

Referenced by dynamicLinkLibs::dynamicLinkLibs().

The documentation for this class was generated from the following files:

- src/phasicFlow/repository/systemControl/dynamicLinkLibs.hpp
- src/phasicFlow/repository/systemControl/dynamicLinkLibs.cpp